# Uses of Class
org.apache.solr.common.util.CommandOperation

Packages that use CommandOperation
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of CommandOperation in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request with parameters of type CommandOperation
Modifier and Type
Method
Description
`default Iterator<String>`
ApiMapping.CommandMeta.`getParamNamesIterator(CommandOperation op)`

## Uses of CommandOperation in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return CommandOperation
Modifier and Type
Method
Description
`CommandOperation`
CommandOperation.`getCopy()`
Methods in org.apache.solr.common.util that return types with arguments of type CommandOperation
Modifier and Type
Method
Description
`static List<CommandOperation>`
CommandOperation.`clone(List<CommandOperation> ops)`
`static List<CommandOperation>`
CommandOperation.`parse(InputStream in, Set<String> singletonCommands)`
Parse the command operations into command objects from javabin payload * @param singletonCommands commands that cannot be repeated
`static List<CommandOperation>`
CommandOperation.`parse(Reader rdr)`
`static List<CommandOperation>`
CommandOperation.`parse(Reader rdr, Set<String> singletonCommands)`
Parse the command operations into command objects from a json payload
`static List<CommandOperation>`
CommandOperation.`readCommands(Iterable<ContentStream> streams, NamedList resp)`
`static List<CommandOperation>`
CommandOperation.`readCommands(Iterable<ContentStream> streams, NamedList resp, Set<String> singletonCommands)`
Read commands from request streams
Method parameters in org.apache.solr.common.util with type arguments of type CommandOperation
Modifier and Type
Method
Description
`static List<Map<String,Object>>`
CommandOperation.`captureErrors(List<CommandOperation> ops)`
`static List<CommandOperation>`
CommandOperation.`clone(List<CommandOperation> ops)`